classification
Title: Can't receive replies from multicast UDP with asyncio
Type: behavior Stage: patch review
Components: asyncio Versions: Python 3.8
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, vxgmichel, yselivanov
Priority: normal Keywords: patch

Created on 2017-11-02 10:51 by vxgmichel, last changed 2019-05-07 17:45 by miss-islington.

Pull Requests
URL Status Linked Edit
PR 423 merged vxgmichel, 2017-11-02 10:51
PR 13162 merged miss-islington, 2019-05-07 17:19
Messages (3)
msg305415 - (view) Author: Vincent Michel (vxgmichel) * Date: 2017-11-02 10:51
It's currently not possible to receive replies from multicast UDP with asyncio, as reported in the following issue:

https://github.com/python/asyncio/issues/480

That's because asyncio connects the UDP socket to the broadcast address, causing all traffic from the receivers to be be dropped, as explained in this comment:
https://github.com/python/asyncio/issues/480#issuecomment-278703828

I already submitted a PR on the cpython repository:
https://github.com/python/cpython/pull/423

I figured it was better to report the issue here for better tracking.
msg341785 - (view) Author: miss-islington (miss-islington) Date: 2019-05-07 17:18
New changeset 63deaa5b70108ef441c57728322da6b4321db4fc by Miss Islington (bot) (Vincent Michel) in branch 'master':
bpo-31922: Do not connect UDP sockets when broadcast is allowed (GH-423)
https://github.com/python/cpython/commit/63deaa5b70108ef441c57728322da6b4321db4fc
msg341791 - (view) Author: miss-islington (miss-islington) Date: 2019-05-07 17:45
New changeset 19ca5b500af4b66e1082a03d8fbf448e1f56af30 by Miss Islington (bot) in branch '3.7':
bpo-31922: Do not connect UDP sockets when broadcast is allowed (GH-423)
https://github.com/python/cpython/commit/19ca5b500af4b66e1082a03d8fbf448e1f56af30
History
Date User Action Args
2019-12-06 18:57:39vstinnerlinkissue27822 superseder
2019-05-07 17:45:58miss-islingtonsetmessages: + msg341791
2019-05-07 17:19:03miss-islingtonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request13081
2019-05-07 17:18:53miss-islingtonsetnosy: + miss-islington
messages: + msg341785
2018-09-14 19:33:25vstinnersetversions: - Python 3.4, Python 3.5, Python 3.6, Python 3.7
2017-11-02 10:51:16vxgmichelcreate